
#include "mbed.h"

#include "Config.h"

//初期設定のためにSDカード情報を取得
#include "common.h"
#include "SDFileSystem.h"

//共通定義
//#include "ipdef.h"          //初期値定義
//#include "rn4020CtrMain.h"  //ビーコンID情報等



//Class 定義


//-------------------------------------

Config::Config()
{
//コンストラクタ？
    
}

//メソッド
void Config::SetMacAddress()
{
//SDカード読み出し

    printf("*************************************\r\n");
    printf(" Initial Setting Start \r\n");
    printf("*************************************\r\n");
    //-------------------------------
    // SDカード情報読み出し
    //-------------------------------
    //config/ip.txt
    //config/macaddress.txt
    //00:02:F7:F0:00:00:01
    //を参照

    
//    char filename[32];
//    snprintf(filename, sizeof(filename), "/sd/config/macaddress.txt");

    mkdir("/sd/config", 0777);

    FILE *outFile;
    outFile = fopen("/sd/config/macaddress.txt", "r");
//    outFile = fopen(filename, "r");

    printf("File Read [/sd/config/macaddress.txt]\r\n");
    printf("file open result = %p \r\n",outFile);

    //基本的に正しいフォーマット前提
    if(outFile != NULL) {
        
        char readText[32];
        while( fgets( readText, 32,outFile ) != NULL ) {

            analyzeMacAddress(readText);
            //読み出したデータを設定
            printf("read=%s\r\n",readText);
        }

        fclose(outFile);

        printf("fileEND\r\n");
    }

}

void Config::analyzeMacAddress(char * macText)
{

    char splitKeyword[]= ":";    //分解キーワード
    int  MaxCount =7;             //ループ上限（TEXTが無茶苦茶の場合・・・）
                                  //そもそもフォーマットチェックしてないからまいっか。

    char *tok;
    int checkBeacon=0;
    int cnt=0;  //トークン位置カウンタ  MACADDRESS:00:02:F7:F0:00:00:01

    bool machBeaconID=false;
    tok=strtok(macText,splitKeyword); //sizeof +1 必要かも

    printf("%s",macText);
    printf(" Size= %s",sizeof(macText));
    printf("MacAddressFile = ");//チェック開始

    while(tok != NULL) {

        if(cnt==0) { 
                   
            char keyword[]="MACADDRESS";            
            if(strncmp(tok,keyword,sizeof(keyword))!=0){
                printf("error Config Macaddress Error format error?");
                break;//エラー処理終了
            }                        
        } else {

            //フォーマットは正常の前提（エラーノーチェック）
            //16進数文字列を数値に変換
            int lnB01=(int)strtol(tok,NULL,16);

            //どこかにコピーするなら            strncpy(&BEACON_RSSI[checkBeacon][0],tok,BEACON_RSSI_SIZE);
            //tok は\0が挿入されるはず。。（最終文字はどうだった？）
        }
        cnt++;

        printf("%s",tok);
        
        tok= strtok(NULL,splitKeyword);

    }
    
    printf("\r\n",tok);//全部終わって改行入れる

}

