#ifndef DBUFFER_CLS_H
#define DBUFFER_CLS_H

//include
 
 
#define NOT_DETECT  "NND"   //NSI  信号未検知
#define MAX_BF_SIZ_RSSI    800    //5s に１回記録で66分の記録ができるサイズ
#define WORD_SIZ_RSSI    4  //-23  (\0分を加えて4)


//5s 1回    1分12回   


 

class DbuffClass {

//-------------------------------------------------
// 公開
//-------------------------------------------------
public:

    //メソッド
    DbuffClass();   //コンストラクタ
        
    void  initBuf();    
    int   setRSSInow(char* rssi);         //RSSI現在値を保存する。
    bool  getCopyRSSInow(char* setStrAdr);   //引数のバッファにRSSIをコピー(現在地取得）
    
 
//-------------------------------------------------
// 非公開
//-------------------------------------------------
private:  
    int bufRingSp;      //RSSIリングバッファ開始位置
    int bufRingNow;     //RSSIリングバッファ現在地
    int bufRingEnd;     //RSSIリングバッファ終端位置
    int bufRingMax;     //RSSIリングバッファ最大サイズ
    
    int bufSize;        //取得バッファ保持数
    
    char StBuf_RSSI_Now[WORD_SIZ_RSSI];    //現在値
                       //0~-100db くらいの範囲（０とー１００はないはずだけど）
    char StBuf_RSSI_Array[MAX_BF_SIZ_RSSI][WORD_SIZ_RSSI];  //NSI

    
};
 
#endif


