#ifndef IP_DEF_H
#define IP_DEF_H

/*
 * 製品固有設定定義
 *
 */
 //BeaconレシーバID
 #define  DEF_RECEIVER_ID_SELECT   1             //01=1,02=2,03=3 に書き換えてコンパイルすること
                                                 //カメラタイプは当面３にする
 

//固定値を設定
//01 はマスター機器とする
#define DEF_RECEIVER_01_IP        "192.168.1.201"
#define DEF_RECEIVER_01_NETMASK   "255.255.255.0"     //netmask
#define DEF_RECEIVER_01_GATEWAY   "192.168.1.1"  //gateway

//以下02以降はスレーブ機器とする
#define DEF_RECEIVER_02_IP        "192.168.1.202"
#define DEF_RECEIVER_02_NETMASK   "255.255.255.0"     //netmask
#define DEF_RECEIVER_02_GATEWAY   "192.168.1.1"  //gateway


#define DEF_RECEIVER_03_IP        "192.168.1.203"
#define DEF_RECEIVER_03_NETMASK   "255.255.255.0"     //netmask
#define DEF_RECEIVER_03_GATEWAY   "192.168.1.1"  //gateway

//UNity
#define DEF_UNITY_IP              "192.168.1.11"
#define DEF_UNITY_NETMASK         "255.255.255.0"     //netmask
#define DEF_UNITY_GATEWAY         "192.168.1.1"  //gateway

#define UDP_Port_MASTER_RCV    5555    //UDP マスター Unity とつながる
#define UDP_Port_MASTER_IMAGE  5557    //UDP マスター 画像(データ用）ポート
#define UDP_Port_ASTER__RCVCAM 5558    //UDP スレーブ受信用(Camera On/Off)


#define UDP_Port_SLAVE_RCV     5556    //UDP スレーブ受信用
#define UDP_Port_SLAVE_RCVCAM  5550    //UDP スレーブ受信用(Camera On/Off)




#endif