#ifndef COMMON_H
#define COMMON_H

// ---- LED ----
#define HEARTBEAT_LED       LED1
#define NETWORK_LED         LED2
#define CAM_LED             LED3

// ---- SENSOR ----
#define SENSOR_SDA_PIN       P1_3
#define SENSOR_SCL_PIN       P1_2

// ---- CAMERA  ----
#define CAMERA_SDA_PIN         P1_3
#define CAMERA_SCL_PIN         P1_2
#define CAMERA_MISO_PIN        P10_15
#define CAMERA_MOSI_PIN        P10_14
#define CAMERA_SCLK_PIN        P10_12

#define CAMERA_CS1_PIN          P10_13
#define CAMERA_CS2_PIN          P8_14

// ---- SD ----
#define SD_MOSI_PIN             P8_5
#define SD_MISO_PIN             P8_6
#define SD_SCLK_PIN             P8_3
#define SD_CS_PIN               P8_4

// ---- MOTOR ----
#define MOTOR_TX_PIN        P2_14
#define MOTOR_RX_PIN        P2_15

#endif  //COMMON_H
