/* mbed Example Program
 * Copyright (c) 2006-2014 ARM Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include "mbed.h"
#include "orgTimer.h"
#include "modeCtr.h"

#include "EthernetInterface.h"
#include "NetworkMng.h"
 
extern  void initRN4020();
extern  void loopAction();

//Timer処理変数(暫定）
Timer GRTimer01;
int   bforeTime01;
int   afterTime01;

//const int timer01Maxms = 6000;     //60s ごとにタイマーリセットする。
int timer01Maxms;     //60s ごとにタイマーリセットする。

Serial pc(USBTX, USBRX); // tx, rx


void initial_main(){
//初期化処理まとめ

    //PC- UART 通信設置
//    pc.baud(115200);

    pc.baud(230400);
 
    pc.printf("Hellow1\r\n");
    wait_ms(500);
    pc.printf("Hellow2\r\n");
    wait_ms(500);

    
    initRN4020();    
    pc.printf("init End\r\n");


    //タイマー処理
    INIT_TIM();     //初期化

    seq_init();     //モード管理の初期化

   pc.printf("01\r\n");

}

bool flg_sendON;

int main() {
//    pc.printf("Hello World!\n");

    flg_sendON=false;

    initial_main();     //初期化処理
    
    while(1) {


        


        loopAction();
        CTR_TMER();     //タイマ処理



// TEST用エリア基本使わない
        if(flg_sendON==true)
        {

            flg_sendON=false;
        }

    }    
    
}




