

#include  "mbed.h"
#include  "DbuffClass.h"



DbuffClass::DbuffClass()  {
//コンストラクタ


}


//メソッド 初期化用
void DbuffClass::initBuf() {
    
    bufRingSp  =0;      //RSSIリングバッファ開始位置
    bufRingNow =0;      //RSSIリングバッファ現在地
    bufRingEnd =bufRingNow+1;          //最終データ位置
    bufRingMax =MAX_BF_SIZ_RSSI-1;     //RSSIリングバッファ終端位置
    bufSize=0;        //取得バッファ保持数
 
 
    strcpy(StBuf_RSSI_Now,NOT_DETECT);  //現在地はいったん未受信を設定しておく（受信するまで）   
    memcpy(StBuf_RSSI_Array,'\0',sizeof(StBuf_RSSI_Array)); //初期化エリア大丈夫？’￥０も大丈夫か？
    
}

/*-------------------------------
 * RSSI現在値を保存する
 * input  char* RSSI文字列
 *              \0 null終端含むデータ必須！
 * return int = 0 正常、他異常
 * 
 *-------------------------------
*/
int DbuffClass::setRSSInow(char* rssi) {

    int ret;
    ret =-1;        //戻り値用
    
//   int workNowPos;

    if(rssi == NULL){
        //無効データ文字列を設定
        strcpy(StBuf_RSSI_Now,NOT_DETECT);                    //現在値設定
        strcpy(&StBuf_RSSI_Array[bufRingNow][0],NOT_DETECT);  //リングバッファにも保持        

        printf("p1 NG =%s\r\n",&StBuf_RSSI_Array[bufRingNow][0]);
        
    }else{

        strcpy(StBuf_RSSI_Now,rssi);                         //現在値設定
        strcpy(&StBuf_RSSI_Array[bufRingNow][0],rssi);        //ｒリングバッファにも保持
 

    }
        
    bufRingEnd++;   //終端位置を進める
    bufRingNow++;   //現在位置を進める

    if(bufRingEnd >= bufRingMax){
        bufRingEnd=0;
    }    
    if(bufRingNow >= bufRingMax){
        bufRingNow=0;
    }    

    ret =0;        //強制的に正常に！
    
    return ret;  //一旦ノーチェック

}


//引数のバッファにRSSIをコピー(現在地取得）
bool DbuffClass::getCopyRSSInow(char* setStrAdr){

    //指定のバッファにデータをコピーする
    //初回データの管理は本来注意が必要・・・
        
    strcpy(setStrAdr,StBuf_RSSI_Now);
    
    return true;    //強制OK戻り値
    
}

