
#include "NetworkMng.h"

#include "mbed.h"

#include "logprint.h"

static EthernetInterface s_EthernetInterface;

void InitNetwork(void){
    // ------------------------------------
    // EHTERNET初期化
    // ------------------------------------
    log("NET", LOGLEVEL_INFO, "ETHERNET CONNECT\r\n");
    s_EthernetInterface.connect();// Show the network address
    const char *ip = s_EthernetInterface.get_ip_address();
    if( ip ) {
        log("NET", LOGLEVEL_INFO, "ETHERNET CONNECT SUCCESS. %s\r\n", ip);
    }    
}

EthernetInterface* GetNetworkInterface(void){
    return &s_EthernetInterface;
}