#ifndef RN4020_CTR_H
#define RN4020_CTR_H



#if 1
typedef struct rcvBLEAdvertising {
  char macId[12];          //アドレス(Macアドレス)
  char adAdrType[1];       //adress type  1=ランダム,0=固定
  char rssi[3];            //rssi値
  char comm[80];
  char dummy[2];
  char len;

}rcvBLEadv;

typedef union  rcvBLEAdvType{
    char  cmd[100];
    rcvBLEadv   rcvadv;
       
}uni_rcvUNIBLE;

#endif

#define COM_ECHO_ON           1
#define COM_REBOOT            2
#define COM_OVSERV_ROL_ON     3
#define COM_OVSERV_ROL_OFF    4
#define COM_SCAN_BROADCAST_A  5  // 500ms 間隔30s
#define COM_SCAN_BROADCAST_B  6  //1000ms 間隔30s
#define COM_SCAN_BROADCAST_C  7  //時間指定なし

#define COM_SET_FANC_A        8  //Central Server Only
#define COM_SET_FANC_B        9  //Central 

#define COM_STOP_BROAD_RCV    10  //X ブロードキャスト受信停止 
#define COM_FIRM_VER_CHK      11  //V ファームウェアバージョンチェック

extern char sendComId;
extern uni_rcvUNIBLE   rcvAdvCommand;


//----------------------------------------
//  受信用バッファ１
//----------------------------------------
  
  
//----------------------------------------
//  受信用バッファ2
//  アドバタイジングパケット受信用一時バッファ
//----------------------------------------

#define  MAX_OneMes     100           //1メッセージあたりの最大の長さ(仮サイズ）
#define  MAX_WordSize   200           //

extern char rcvDataBuff[MAX_WordSize][MAX_OneMes];
extern char bufLineRcvID;
extern char bufLineWordId;

extern bool FgAdvRcvOn;
    

//----------------------------------------------
// iBeacon ID登録  
//----------------------------------------------
//char testBeaconA[]="00CDFF00360E";

#define BeconNum     3
#define Beacon01     0
#define Beacon02     1
#define Beacon03     2



//#define BECON_MACID01   "00CDFF00360E"     //Beacon 01

#define BECON_MACID01   "D436399737AB"     //Beacon 01
#define BECON_MACID02   "606405D1B234"     //Beacon 02
#define BECON_MACID03   "D43639973071"      //Beacon 03

    
//----------------------------------------
//  Unity 用送信バッファ
//----------------------------------------
#define MAX_RCV_BEACON  3

//ビーコンレシーバのID（配列参照位置）
#define RCV_BEACON01    0   //暫定の定義(マスター）
#define RCV_BEACON02    1   //暫定の定義(最終は可変にしたい）
#define RCV_BEACON03    2   //暫定の定義


#define BEACON_ID_SIZE     13   //null 用バッファも１バイト追加
#define BEACON_RSSI_SIZE    4   //null 用バッファも１バイト追加   

extern bool FgUnitySendOn; //PC向けの送信を制限する
extern char  BEACON_ID[BeconNum][BEACON_ID_SIZE];
extern char  BEACON_RSSI[BeconNum][BEACON_RSSI_SIZE];
extern char  BEACON_RCV_ENAVLE[MAX_RCV_BEACON][BeconNum];  //受信状態の有効フラグ＋受信したビーコン種別も識別する



#define RECEIVER01_ID  "000001"
#define RECEIVER02_ID  "000002"
#define RECEIVER03_ID  "000003"
    

extern void get_BeaconMacID(int beconId,char* stID);
extern void get_ReceiverID(int receiverId,char* stID);

#endif