#include <mbed.h>

#include "OV5642.h"
#include "OV5642_regs.h"

class CameraControl
{
  private:
    ArduCAM* myCAM;
    bool isReady;
  
  public:
    CameraControl();
    
    unsigned char init(PinName mosi, PinName miso, PinName sck, PinName cs, PinName sda, PinName scl);
    long takePicture(char* imgbuff, long buffsize);    
};
